<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System 
=============================================================
module : maintenance
Description: Permet de mettre Npds en mode mainteance pour faire vos 
mise a jour.
Auteur: Johan VIVIEN
Date de creation: 24 mai 2008
Version: 0.4 Beta
Auteur URI: http://www.hotfirenet.com
Copyright (c) 2002-2008 par Johan VIVIEN
=============================================================
This program is free software. You can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 2 of the License.       
/************************************************************/

// For More security
if (!eregi("admin.php", $PHP_SELF)) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath,"cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
	die();
}
// For More security
// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE''

	$admin_url = 'admin.php?op=Extend-Admin-SubModule&ModPath='.$ModPath.'&ModStart='.$ModStart;
	#Autodocs >> Version de npdsAnalytics
	$npdsAnalyticsVersion = "0.2";

	function npdsAnalyticsForm($loginGoogle) {
	   global $rendreInactif;
	   
	   if ($rendreInactif == true) {
		  $disabled = 'disabled';
		  echo '<div class="erreur">'.adm_npdsAnalyticsTrad('Le fichier n\'est pas accessible en &eacute;criture').'</div>';
	   }
	   
	   echo '
		  <div id="npdsAnalyticsForm">
		  <fieldset>
			<legend>'.adm_npdsAnalyticsTrad('Configuration du code Google').'</legend>
			 <form method="post" action="">
				<input type="hidden" name="subop" value="modifier" />
			 
				<p id="npdsAnalyticsTxtbox">
				   <span>
					  <label for="npdsAnalyticsLogin">'.adm_npdsAnalyticsTrad('Votre login Google').' : UA-</label>
				   </span>
				   <input class="textbox_standard" type="text" name="npdsAnalyticsLogin" id="npdsAnalyticsLogin" value="'.$loginGoogle.'" tabindex="1" '.$disabled.' />
				   <br />
				</p>  
				
				<p id="bouton">
				   <input class="bouton_standard" type="reset" value="R&eacute;initialiser" />&nbsp;&nbsp;<input class="bouton_standard" type="submit" name="btn" value="'.adm_npdsAnalyticsTrad('mettre &agrave; jour').'" '.$disabled.' />
				</p>           
			 </form>
		  </fieldset>		 
		  </div>
	   ';
	}
	
	function npdsAnalyticsWriteConfig($npdsAnalyticsLogin) {
	   global $ModPath, $npdsAnalyticsVersion;
	   
	   #Autodocs >> 
	   settype($npdsAnalyticsLogin, "string");
	   
	   #Autodocs >> 
	   $filename = 'modules/'.$ModPath.'/npdsAnalytics.conf.php';
	   
	   #Autodocs >> 
	   $content ="<?php\n";
	   $content.="/************************************************************************/\n";
	   $content.="/* NPDS / GOOGLE ANALYTICS                                              */\n";
	   $content.="/* ===========================                                          */\n";
	   $content.="/*                                                                      */\n";
	   $content.="/* Auteur: Johan VIVIEN                                                 */\n";
	   $content.="/* Version: $npdsAnalyticsVersion                                                         */\n";
	   $content.="/* Auteur URI: http://www.hotfirenet.com                                */\n";
	   $content.="/*                                                                      */\n";
	   $content.="/* This program is free software. You can redistribute it and/or modify */\n";
	   $content.="/* it under the terms of the GNU General Public License as published by */\n";
	   $content.="/* the Free Software Foundation; either version 2 of the License.       */\n";
	   $content.="/************************************************************************/\n";
	   $content .= "//assure la scurit\n";
	   $content .= "if (eregi('npdsAnalytics.conf.php', \$PHP_SELF)) { die(); }\n";
	   $content .= "\$loginGoogle = \"$npdsAnalyticsLogin\";\n";
	   $content .= "?>\n";
	
	   #Autodocs >> Assurons nous que le fichier est accessible en criture
	   if (is_writable($filename)) {
		  #Autodocs >> Assurons nous de pouvoir ouvrir le fichier
		  if (!$handle = fopen($filename, 'w')) {
			 echo '<div class="erreur">'.adm_npdsAnalyticsTrad('Impossible d\'ouvrir le fichier ').' ('.$filename.')</div>';    
		  }
		  
		  #Autodocs >>  Ecrivons notre fichier. $ content
		  if (fwrite($handle, $content) === FALSE)       
			 echo '<div class="erreur">'.adm_npdsAnalyticsTrad('Impossible d\'&eacute;crire dans le fichier').' ('.$filename.')</div>';    
		  else
			 echo '<div class="update">'.adm_npdsAnalyticsTrad('L\'&eacute;criture dans le fichier a r&eacute;ussi').'</div>';
		  
		  #Autodocs >>  Fermons notre fichier
		  fclose($handle);                    
	   } else {
		  echo '<div class="erreur">'.adm_npdsAnalyticsTrad('Le fichier n\'est pas accessible en &eacute;criture').'</div>';
	   }
	   
	   echo '<p id="npdsAnalyticsRetour"><a href="admin.php?op=Extend-Admin-SubModule&ModPath=npdsAnalytics&ModStart=admin/admin">'.adm_npdsAnalyticsTrad('Retour &agrave; l\'administration de NPDS Analytics').'</a></p>';
	}
	function top($titre_operation) {
	 global $language, $NPDS_Prefix, $admin_url;

	   opentable();
	    echo '<div class="HEADER" align="center">'.adm_npdsAnalyticsTrad('Administration de').' Npds Analytics   '.$titre_operation.'</div><br />'
	       . '<center><a href="'.$admin_url.'">'.adm_npdsAnalyticsTrad('Configuration du code Google').'</a> | <a href="http://blog.hotfirenet.com/npds/npdsAnalytics" target="blank">'.adm_npdsAnalyticsTrad('Aide').'</a></center>';
	   closetable();
	    echo '<br />';
	   opentable();
	}

	function copyright() 
	{
		global $npdsAnalyticsVersion;

		closetable();
		
		echo '<br />';
		
		opentable();
		
		echo '<center>'.adm_npdsAnalyticsTrad('Module R&eacute;alis&eacute; par').' <a href="http://blog.hotfirenet.com" target="blank">Hotfirenet</a> '.adm_npdsAnalyticsTrad('pour').' <a href="http://www.npds.org" target="blank">Npds</a>'
		. '<br />npdsAnalytics V.'.$npdsAnalyticsVersion.'</center>';
		
		closetable();
	}
	
?>
